Bug 1708393 - the script 99-origin-dns.sh has the debug flag '-x' set to on
Summary: the script 99-origin-dns.sh has the debug flag '-x' set to on
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 3.10.z
Assignee: Russell Teague
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On: 1707799 1708394
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-09 18:50 UTC by Russell Teague
Modified: 2019-06-27 16:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Bash debug flag is set in the script Consequence: Debugging info is output to logs Fix: Removed bash debug flag Result: Debugging info is not output to logs
Clone Of: 1707799
Environment:
Last Closed: 2019-06-27 16:41:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1607 None None None 2019-06-27 16:41:15 UTC

Description Russell Teague 2019-05-09 18:50:14 UTC
+++ This bug was initially created as a clone of Bug #1707799 +++

Description of problem:

99-origin-dns.sh is executed every time the network status changes,  leaving the following traces in the messages file:

May  8 11:12:17 master1 dbus[3030]: [system] Activating via systemd: service name='org.freedesktop.nm_dispatcher' unit='dbus-org.freedesktop.nm-dispatcher.service'
May  8 11:12:17 master1 nm-dispatcher: req:1 'connectivity-change': new request (4 scripts)
May  8 11:12:17 master1 nm-dispatcher: req:1 'connectivity-change': start running ordered scripts...
May  8 11:12:17 master1 nm-dispatcher: req:2 'down' [eth0]: new request (4 scripts)
May  8 11:12:17 master1 nm-dispatcher: + cd /etc/sysconfig/network-scripts
May  8 11:12:17 master1 nm-dispatcher: + . ./network-functions
May  8 11:12:17 master1 nm-dispatcher: ++ PATH=/sbin:/usr/sbin:/bin:/usr/bin
May  8 11:12:17 master1 nm-dispatcher: ++ export PATH
May  8 11:12:17 master1 nm-dispatcher: +++ hostname
May  8 11:12:17 master1 nm-dispatcher: ++ HOSTNAME=master1.ocplab.com
May  8 11:12:17 master1 nm-dispatcher: ++ '[' -z '' ']'
May  8 11:12:17 master1 nm-dispatcher: ++ . /etc/init.d/functions
May  8 11:12:17 master1 nm-dispatcher: +++ TEXTDOMAIN=initscripts
May  8 11:12:17 master1 nm-dispatcher: +++ umask 022
May  8 11:12:17 master1 nm-dispatcher: +++ PATH=/sbin:/usr/sbin:/bin:/usr/bin
May  8 11:12:17 master1 nm-dispatcher: +++ export PATH
May  8 11:12:17 master1 nm-dispatcher: +++ '[' 62390 -ne 1 -a -z '' ']'
May  8 11:12:17 master1 nm-dispatcher: +++ '[' -d /run/systemd/system ']'
May  8 11:12:17 master1 nm-dispatcher: +++ case "$0" in
May  8 11:12:17 master1 nm-dispatcher: +++ '[' -z '' ']'
May  8 11:12:17 master1 nm-dispatcher: +++ COLUMNS=80
May  8 11:12:17 master1 nm-dispatcher: +++ '[' -z '' ']'
May  8 11:12:17 master1 nm-dispatcher: +++ '[' -c /dev/stderr -a -r /dev/stderr ']'
May  8 11:12:17 master1 nm-dispatcher: +++ CONSOLETYPE=serial
May  8 11:12:17 master1 nm-dispatcher: +++ '[' -z '' ']'
May  8 11:12:17 master1 nm-dispatcher: +++ '[' -z '' ']'
May  8 11:12:17 master1 nm-dispatcher: +++ '[' -f /etc/sysconfig/i18n -o -f /etc/locale.conf ']'
May  8 11:12:17 master1 nm-dispatcher: +++ . /etc/profile.d/lang.sh
May  8 11:12:17 master1 nm-dispatcher: +++ unset LANGSH_SOURCED
May  8 11:12:17 master1 nm-dispatcher: +++ '[' -z '' ']'
May  8 11:12:17 master1 nm-dispatcher: +++ '[' -f /etc/sysconfig/init ']'
May  8 11:12:17 master1 nm-dispatcher: +++ . /etc/sysconfig/init
[...]

This is not harmful at all, but in terms of monitoring, it causes noise which the customer would prefer to avoid. The remediation is simple, but they would like to know why does the debug flag is set to ON? and does it needs to be set to ON?   

Could you add further clarification on this?

thanks!

--- Additional comment from Ben Bennett on 2019-05-08 08:21:30 EDT ---

Passing to the installer team because they may know the history.

--- Additional comment from Scott Dodson on 2019-05-08 13:50:11 EDT ---

It was useful in debugging when we first started using this. I think it can be safely removed now.

--- Additional comment from Roberto on 2019-05-08 14:20:45 EDT ---

ack, is there any plan to remove the debug flag at short term?

--- Additional comment from Russell Teague on 2019-05-08 14:29:27 EDT ---

https://github.com/openshift/openshift-ansible/pull/11592

Comment 3 Gaoyun Pei 2019-06-12 09:30:19 UTC
Verify this bug with openshift-ansible-3.10.149-1.git.0.eb0262c.el7.noarch.rpm

After fresh install, check the 99-origin-dns.sh file, "-x" has been removed.

[root@ip-172-18-5-57 dispatcher.d]# head -n1 99-origin-dns.sh
#!/bin/bash

Restart NetworkManager service, no debug info shown in messages log

Comment 5 errata-xmlrpc 2019-06-27 16:41:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1607


Note You need to log in before you can comment on or make changes to this bug.